Package Details: python33 3.3.6-2

Git Clone URL: https://aur-dev.archlinux.org/python33.git (read-only)
Package Base: python33
Description: Major release 3.3 of the Python high-level programming language
Upstream URL: http://www.python.org/
Licenses: custom
Submitter: g.schulz
Maintainer: berquist
Last Packager: berquist
Votes: 13
Popularity: 0.012820
First Submitted: 2014-04-05 13:37
Last Updated: 2016-03-20 04:18

Latest Comments

bradpitcher commented on 2016-11-03 03:45

Working package here: https://github.com/brad/aur-python33

pingveno commented on 2016-10-24 22:33

A fix for the expat issue can be found here:

https://github.com/python/cpython/commit/cbdb7791b1ba1e23c069bbdc644004f53a4814a4

Agt commented on 2016-08-01 09:38

I have the same issue as levitsky.

levitsky commented on 2016-07-28 19:11

Hi, I am getting a failure for test_pyexpat:

[251/372] test_pyexpat
test test_pyexpat failed -- Traceback (most recent call last):
File "/tmp/yaourt-tmp-lev/aur-python33/src/Python-3.3.6/Lib/test/test_pyexpat.py", line 607, in test2
parser.Parse(xml, True)
xml.parsers.expat.ExpatError: XML declaration not well-formed: line 1, column 13

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/yaourt-tmp-lev/aur-python33/src/Python-3.3.6/Lib/test/test_pyexpat.py", line 610, in test2
self.assertEqual(str(e), 'XML declaration not well-formed: line 1, column 14')
AssertionError: 'XML declaration not well-formed: line 1, column 13' != 'XML declaration not well-formed: line 1, column 14'
- XML declaration not well-formed: line 1, column 13
? ^
+ XML declaration not well-formed: line 1, column 14
?

Any ideas?

SpotlightKid commented on 2016-04-02 20:28

Well, then don't run that proxy! ;)

It probably makes the test think that 'ftp://localhost/a/file/which/doesnot/exists.py' is URL pointing to a valid resource.

Alternatively, turn off the tests with the command as shown in my comment below.

kdiogenes commented on 2016-04-02 20:22

@SpotlightKid this is the error I'm getting: http://pastebin.com/Tiks8Aqa

I'm running cnltm proxy and my machine is using it, probably the problem is related with this.

SpotlightKid commented on 2016-03-30 13:00

@kdiogenes Is there an error message or exception traceback earlier in the output for that failing test?

kdiogenes commented on 2016-03-30 12:57

For me it's falling with:

348 tests OK.
1 test failed:
test_urllib
23 tests skipped:
test_codecmaps_cn test_codecmaps_hk test_codecmaps_jp
test_codecmaps_kr test_codecmaps_tw test_curses test_devpoll
test_gdb test_kqueue test_msilib test_ossaudiodev test_smtpnet
test_socketserver test_startfile test_timeout test_tk
test_ttk_guionly test_urllib2net test_urllibnet test_winreg
test_winsound test_xmlrpc_net test_zipfile64
Those skips are all expected on linux.

Any hint?

SpotlightKid commented on 2016-03-22 14:35

I have a failing test for pydoc. Somehow stumbles over the packages installed in my `/usr/lib/python3.3/site-packages` directory. I have to install this package with `yaourt --m-arg --nocheck python33`.

KeNaCo commented on 2016-03-20 06:08

@berquist Thank you :)

All comments